DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageAssimilate

Inherit properties of another image

## SYNOPSIS

dip_Error dip_ImageAssimilate( example, target )

## FUNCTION

Give the target image the same properties ( type, data type, etc... ) as the example image. The example image may be either "raw" or "forged". The target image is forged.

If the target was forged before calling this function, and it exactly matches the example, nothing happens. If it doesn't match the example, it is stripped before the properties are copied.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `example` | An example image
`dip_Image` | `target` | The target image

## SEE ALSO

`ImageCopyProperties`, `ChangeDataType`, `ChangeTo0d`

DIPlib on-line documentation | Function reference | Global function index